/*
 * Class TABLE [INTEGER_16, INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1954 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1954 [] = {0xFF01,1551,1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1954 [] = {0xFF01,1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1954 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1954 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1954 [] = {0xFF01,1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1954 [] = {0xFF01,1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1954 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1954 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1954 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1954 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1954 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1954 [] = {1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1954 [] = {0xFF01,1953,878,869,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1954 [] = {0xFF01,1938,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1954 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1954 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1954 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_1954 [] = {0xFFF8,2,0xFFFF};


static const struct desc_info desc_1954[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1954), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1954), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1954), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1954), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1954), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1954), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1954), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1954), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1954), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1954), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1954), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1954), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1954), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1954), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8648, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8649, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8650, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8651, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8652, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1954), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1954), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9039, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9068, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9040, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9041, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1954), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1954), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_1954), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), -1, 0xFFFFFFFF},
};
void Init1954(void)
{
	IDSC(desc_1954, 0, 1953);
	IDSC(desc_1954 + 1, 1, 1953);
	IDSC(desc_1954 + 32, 1134, 1953);
	IDSC(desc_1954 + 41, 1135, 1953);
	IDSC(desc_1954 + 50, 916, 1953);
	IDSC(desc_1954 + 56, 778, 1953);
}


#ifdef __cplusplus
}
#endif
